Package org.apache.commons.math3.optim.nonlinear.vector

# Class MultiStartMultivariateVectorOptimizer

java.lang.Object
org.apache.commons.math3.optim.BaseOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.BaseMultivariateOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.BaseMultiStartMultivariateOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.nonlinear.vector.MultiStartMultivariateVectorOptimizer

@Deprecated public class MultiStartMultivariateVectorOptimizer extends BaseMultiStartMultivariateOptimizer<PointVectorValuePair>
Deprecated.
Multi-start optimizer for a (vector) model function. This class wraps an optimizer in order to use it several times in turn with different starting points (trying to avoid being trapped in a local extremum when looking for a global one).

Since:
  3.0

## Field Summary

### Fields inherited from class org.apache.commons.math3.optim.BaseOptimizer

`evaluations, iterations`

## Constructor Summary

Constructors
Constructor
Description
`MultiStartMultivariateVectorOptimizer(MultivariateVectorOptimizer optimizer, int starts, RandomVectorGenerator generator)`
Deprecated.
Create a multi-start optimizer from a single-start optimizer.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`clear()`
Deprecated.
Method that will called in order to clear all stored optima.
`PointVectorValuePair[]`
`getOptima()`
Deprecated.
Gets all the optima found during the last call to `optimize`.
`protected void`
`store(PointVectorValuePair optimum)`
Deprecated.
Method that will be called in order to store each found optimum.

### Methods inherited from class org.apache.commons.math3.optim.BaseMultiStartMultivariateOptimizer

`doOptimize, getEvaluations, optimize`

### Methods inherited from class org.apache.commons.math3.optim.BaseMultivariateOptimizer

`getLowerBound, getStartPoint, getUpperBound, parseOptimizationData`

### Methods inherited from class org.apache.commons.math3.optim.BaseOptimizer

`getConvergenceChecker, getIterations, getMaxEvaluations, getMaxIterations, incrementEvaluationCount, incrementIterationCount, optimize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiStartMultivariateVectorOptimizer

public MultiStartMultivariateVectorOptimizer(MultivariateVectorOptimizer optimizer, int starts, RandomVectorGenerator generator) throws NullArgumentException, NotStrictlyPositiveException
Deprecated.
Create a multi-start optimizer from a single-start optimizer.

Parameters:
  `optimizer` - Single-start optimizer to wrap.
  `starts` - Number of starts to perform. If `starts == 1`, the result will be same as if `optimizer` is called directly.
  `generator` - Random vector generator to use for restarts.
Throws:
  `NullArgumentException` - if `optimizer` or `generator` is `null`.
  `NotStrictlyPositiveException` - if `starts < 1`.

## Method Details

### getOptima

public PointVectorValuePair[] getOptima()
Deprecated.
Gets all the optima found during the last call to `optimize`. The optimizer stores all the optima found during a set of restarts. The `optimize` method returns the best point only. This method returns all the points found at the end of each starts, including the best one already returned by the `optimize` method.
The returned array as one element for each start as specified in the constructor. It is ordered with the results from the runs that did converge first, sorted from best to worst objective value (i.e in ascending order if minimizing and in descending order if maximizing), followed by `null` elements corresponding to the runs that did not converge. This means all elements will be `null` if the `optimize` method did throw an exception. This also means that if the first element is not `null`, it is the best point found across all starts.
The behaviour is undefined if this method is called before `optimize`; it will likely throw `NullPointerException`.

Specified by:
  `getOptima` in class `BaseMultiStartMultivariateOptimizer<PointVectorValuePair>`
Returns:
  an array containing the optima sorted from best to worst.

### store

protected void store(PointVectorValuePair optimum)
Deprecated.
Method that will be called in order to store each found optimum.

Specified by:
  `store` in class `BaseMultiStartMultivariateOptimizer<PointVectorValuePair>`
Parameters:
  `optimum` - Result of an optimization run.

### clear

protected void clear()
Deprecated.
Method that will called in order to clear all stored optima.

Specified by:
  `clear` in class `BaseMultiStartMultivariateOptimizer<PointVectorValuePair>`